Index: c/src/exec/libfs/ChangeLog
===================================================================
--- c/src/exec/libfs/ChangeLog	(revision d71c6c1f0e219510250e7253e9073cfe421a34c2)
+++ c/src/exec/libfs/ChangeLog	(revision d71c6c1f0e219510250e7253e9073cfe421a34c2)
@@ -0,0 +1,21 @@
+2000-10-18	Chris Johns <ccj@acm.org>
+
+	* libfs created.
+	* src, src/imfs, wrapup: New directories.
+	* ChangeLog, Makefile.am, README, configure.in, src/Makefile.am,
+	wrapup/Makefile.am: New files.
+	* src/imfs/deviceio.c, src/imfs/imfs_getchild.c,
+	src/imfs/imfs_readlink.c, src/imfs/imfs.h, src/imfs/imfs_gtkn.c,
+	src/imfs/imfs_rmnod.c, src/imfs/imfs_chown.c,
+	src/imfs/imfs_handlers_device.c, src/imfs/imfs_stat.c,
+	src/imfs/imfs_creat.c, src/imfs/imfs_handlers_directory.c,
+	src/imfs/imfs_symlink.c, src/imfs/imfs_debug.c,
+	src/imfs/imfs_handlers_link.c, src/imfs/imfs_unixstub.c,
+	src/imfs/imfs_directory.c, src/imfs/imfs_handlers_memfile.c,
+	src/imfs/imfs_unlink.c, src/imfs/imfs_eval.c, src/imfs/imfs_init.c,
+	src/imfs/imfs_unmount.c, src/imfs/imfs_fchmod.c,
+	src/imfs/imfs_initsupp.c, src/imfs/imfs_utime.c, src/imfs/imfs_fcntl.c,
+	src/imfs/imfs_link.c, src/imfs/memfile.c, src/imfs/imfs_fdatasync.c,
+	src/imfs/imfs_mknod.c, src/imfs/miniimfs_init.c, src/imfs/imfs_free.c,
+	src/imfs/imfs_mount.c, src/imfs/imfs_fsunmount.c, src/imfs/imfs_ntype.c:
+	New files. Moved from libc.
Index: c/src/exec/libfs/Makefile.am
===================================================================
--- c/src/exec/libfs/Makefile.am	(revision d71c6c1f0e219510250e7253e9073cfe421a34c2)
+++ c/src/exec/libfs/Makefile.am	(revision d71c6c1f0e219510250e7253e9073cfe421a34c2)
@@ -0,0 +1,13 @@
+##
+## $Id$
+##
+
+AUTOMAKE_OPTIONS = foreign 1.4
+ACLOCAL_AMFLAGS = -I $(RTEMS_TOPdir)/aclocal
+
+SUBDIRS = src wrapup
+
+EXTRA_DIST = README
+
+include $(top_srcdir)/../../../automake/subdirs.am
+include $(top_srcdir)/../../../automake/local.am
Index: c/src/exec/libfs/README
===================================================================
--- c/src/exec/libfs/README	(revision d71c6c1f0e219510250e7253e9073cfe421a34c2)
+++ c/src/exec/libfs/README	(revision d71c6c1f0e219510250e7253e9073cfe421a34c2)
@@ -0,0 +1,13 @@
+#
+#  $Id$
+#
+
+This directory contains for the "file system" library. All supported
+file systems live under this tree.
+
+Currently the only supported file systems in this library are the IMFS 
+and miniIMFS.  The TFTP client filesystem is part of the libnetworking
+library.
+
+--Chris Johns and Joel Sherrill
+18 October 2000
Index: c/src/exec/libfs/src/Makefile.am
===================================================================
--- c/src/exec/libfs/src/Makefile.am	(revision d71c6c1f0e219510250e7253e9073cfe421a34c2)
+++ c/src/exec/libfs/src/Makefile.am	(revision d71c6c1f0e219510250e7253e9073cfe421a34c2)
@@ -0,0 +1,10 @@
+##
+## $Id$
+##
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+SUBDIRS = imfs
+
+include $(top_srcdir)/../../../automake/subdirs.am
+include $(top_srcdir)/../../../automake/local.am
Index: c/src/exec/libfs/src/imfs/Makefile.am
===================================================================
--- c/src/exec/libfs/src/imfs/Makefile.am	(revision d71c6c1f0e219510250e7253e9073cfe421a34c2)
+++ c/src/exec/libfs/src/imfs/Makefile.am	(revision d71c6c1f0e219510250e7253e9073cfe421a34c2)
@@ -0,0 +1,78 @@
+##
+##  $Id$
+##
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+LIBNAME = libimfs
+LIB = ${ARCH}/${LIBNAME}.a
+
+IMFS_C_FILES = imfs_chown.c imfs_creat.c imfs_directory.c imfs_eval.c \
+    imfs_free.c imfs_fsunmount.c imfs_gtkn.c imfs_init.c imfs_initsupp.c \
+    imfs_link.c imfs_mknod.c imfs_mount.c imfs_fchmod.c imfs_unlink.c \
+    imfs_unmount.c imfs_utime.c imfs_ntype.c imfs_stat.c imfs_getchild.c \
+    memfile.c deviceio.c imfs_handlers_device.c imfs_handlers_directory.c \
+    imfs_handlers_link.c imfs_handlers_memfile.c imfs_debug.c imfs_rmnod.c \
+    imfs_symlink.c imfs_readlink.c imfs_fdatasync.c imfs_fcntl.c \
+    miniimfs_init.c
+
+UNIX_C_FILES = imfs_unixstub.c
+
+EMBEDDED_C_FILES = $(IMFS_C_FILES)
+
+COMMON_C_FILES =
+
+if UNIX
+C_FILES = $(COMMON_C_FILES) $(UNIX_C_FILES)
+else
+C_FILES = $(COMMON_C_FILES) $(EMBEDDED_C_FILES)
+endif
+C_O_FILES = $(C_FILES:%.c=${ARCH}/%.o)
+
+H_FILES = imfs.h
+SYS_H_FILES =
+RTEMS_H_FILES = 
+noinst_HEADERS =
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../automake/compile.am
+include $(top_srcdir)/../../../automake/lib.am
+
+PREINSTALL_FILES += $(PROJECT_INCLUDE) $(PROJECT_INCLUDE)/rtems \
+    $(PROJECT_INCLUDE)/sys $(H_FILES:%=$(PROJECT_INCLUDE)/%) \
+    $(RTEMS_H_FILES:%=$(PROJECT_INCLUDE)/rtems/%) \
+    $(SYS_H_FILES:%=$(PROJECT_INCLUDE)/sys/%)
+
+$(PROJECT_INCLUDE):
+	@$(mkinstalldirs) $@
+$(PROJECT_INCLUDE)/rtems:
+	@$(mkinstalldirs) $@
+$(PROJECT_INCLUDE)/sys:
+	@$(mkinstalldirs) $@
+
+$(PROJECT_INCLUDE)/%.h: %.h
+	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/%.h: %.h
+	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/sys/%.h: %.h
+	$(INSTALL_DATA) $< $@
+
+OBJS = $(C_O_FILES)
+
+#
+# Add local stuff here using +=
+#
+
+AM_CFLAGS += $(LIBC_DEFINES) -I $(top_srcdir)/../lib/libc
+
+all-local: ${ARCH} $(LIB)
+
+$(LIB): ${OBJS}
+	$(make-library)
+
+DOC_FILES = TODO CASES
+
+EXTRA_DIST = $(DOC_FILES) $(COMMON_C_FILES) $(EMBEDDED_C_FILES) \
+    $(UNIX_C_FILES) $(H_FILES) $(RTEMS_H_FILES) $(SYS_H_FILES)
+
+include $(top_srcdir)/../../../automake/local.am
Index: c/src/exec/libfs/wrapup/Makefile.am
===================================================================
--- c/src/exec/libfs/wrapup/Makefile.am	(revision d71c6c1f0e219510250e7253e9073cfe421a34c2)
+++ c/src/exec/libfs/wrapup/Makefile.am	(revision d71c6c1f0e219510250e7253e9073cfe421a34c2)
@@ -0,0 +1,41 @@
+##
+## $Id$
+##
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+LIBNAME = libfs
+LIB = $(ARCH)/$(LIBNAME).a
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../automake/compile.am
+include $(top_srcdir)/../../../automake/lib.am
+
+#if HAS_IMFS
+IMFSLIB = ../src/imfs/$(ARCH)/libimfs.a
+#endif
+
+TMP_LIBS = $(IMFSLIB)
+
+$(PROJECT_RELEASE)/lib/$(LIBNAME)$(LIB_VARIANT).a: $(LIB)
+	$(INSTALL_DATA) $< $@
+
+#
+# (OPTIONAL) Add local stuff here using +=
+#
+
+$(LIB): $(TMP_LIBS)
+	$(RM) $@
+	$(RM) -r $(ARCH)
+	mkdir $(ARCH)
+	cd $(ARCH); for lib in $^; do $(AR) -xv ../$$lib; done
+	$(AR) ruv $@ $(ARCH)/*
+	$(RANLIB) $@
+
+TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/$(LIBNAME)$(LIB_VARIANT).a
+
+all-local: $(ARCH) $(LIB) $(TMPINSTALL_FILES)
+
+.PRECIOUS: $(LIB)
+
+include $(top_srcdir)/../../../automake/local.am
Index: c/src/libfs/ChangeLog
===================================================================
--- c/src/libfs/ChangeLog	(revision d71c6c1f0e219510250e7253e9073cfe421a34c2)
+++ c/src/libfs/ChangeLog	(revision d71c6c1f0e219510250e7253e9073cfe421a34c2)
@@ -0,0 +1,21 @@
+2000-10-18	Chris Johns <ccj@acm.org>
+
+	* libfs created.
+	* src, src/imfs, wrapup: New directories.
+	* ChangeLog, Makefile.am, README, configure.in, src/Makefile.am,
+	wrapup/Makefile.am: New files.
+	* src/imfs/deviceio.c, src/imfs/imfs_getchild.c,
+	src/imfs/imfs_readlink.c, src/imfs/imfs.h, src/imfs/imfs_gtkn.c,
+	src/imfs/imfs_rmnod.c, src/imfs/imfs_chown.c,
+	src/imfs/imfs_handlers_device.c, src/imfs/imfs_stat.c,
+	src/imfs/imfs_creat.c, src/imfs/imfs_handlers_directory.c,
+	src/imfs/imfs_symlink.c, src/imfs/imfs_debug.c,
+	src/imfs/imfs_handlers_link.c, src/imfs/imfs_unixstub.c,
+	src/imfs/imfs_directory.c, src/imfs/imfs_handlers_memfile.c,
+	src/imfs/imfs_unlink.c, src/imfs/imfs_eval.c, src/imfs/imfs_init.c,
+	src/imfs/imfs_unmount.c, src/imfs/imfs_fchmod.c,
+	src/imfs/imfs_initsupp.c, src/imfs/imfs_utime.c, src/imfs/imfs_fcntl.c,
+	src/imfs/imfs_link.c, src/imfs/memfile.c, src/imfs/imfs_fdatasync.c,
+	src/imfs/imfs_mknod.c, src/imfs/miniimfs_init.c, src/imfs/imfs_free.c,
+	src/imfs/imfs_mount.c, src/imfs/imfs_fsunmount.c, src/imfs/imfs_ntype.c:
+	New files. Moved from libc.
Index: c/src/libfs/Makefile.am
===================================================================
--- c/src/libfs/Makefile.am	(revision d71c6c1f0e219510250e7253e9073cfe421a34c2)
+++ c/src/libfs/Makefile.am	(revision d71c6c1f0e219510250e7253e9073cfe421a34c2)
@@ -0,0 +1,13 @@
+##
+## $Id$
+##
+
+AUTOMAKE_OPTIONS = foreign 1.4
+ACLOCAL_AMFLAGS = -I $(RTEMS_TOPdir)/aclocal
+
+SUBDIRS = src wrapup
+
+EXTRA_DIST = README
+
+include $(top_srcdir)/../../../automake/subdirs.am
+include $(top_srcdir)/../../../automake/local.am
Index: c/src/libfs/README
===================================================================
--- c/src/libfs/README	(revision d71c6c1f0e219510250e7253e9073cfe421a34c2)
+++ c/src/libfs/README	(revision d71c6c1f0e219510250e7253e9073cfe421a34c2)
@@ -0,0 +1,13 @@
+#
+#  $Id$
+#
+
+This directory contains for the "file system" library. All supported
+file systems live under this tree.
+
+Currently the only supported file systems in this library are the IMFS 
+and miniIMFS.  The TFTP client filesystem is part of the libnetworking
+library.
+
+--Chris Johns and Joel Sherrill
+18 October 2000
Index: c/src/libfs/configure.in
===================================================================
--- c/src/libfs/configure.in	(revision d71c6c1f0e219510250e7253e9073cfe421a34c2)
+++ c/src/libfs/configure.in	(revision d71c6c1f0e219510250e7253e9073cfe421a34c2)
@@ -0,0 +1,35 @@
+dnl Process this file with autoconf to produce a configure script.
+dnl
+dnl $Id$
+
+AC_PREREQ(2.13)
+AC_INIT(README)
+RTEMS_TOP(../../..)
+AC_CONFIG_AUX_DIR(../../..)
+
+RTEMS_CANONICAL_TARGET_CPU
+
+AM_INIT_AUTOMAKE(rtems-c-src-libfs,$RTEMS_VERSION,no)
+AM_MAINTAINER_MODE
+
+RTEMS_ENABLE_BARE
+
+RTEMS_ENV_RTEMSBSP
+
+RTEMS_CHECK_CPU
+RTEMS_CANONICAL_HOST
+
+RTEMS_PROJECT_ROOT
+
+RTEMS_PROG_CC_FOR_TARGET
+RTEMS_CANONICALIZE_TOOLS
+
+AM_CONDITIONAL(UNIX,test x"$RTEMS_CPU" = x"unix")
+
+# Explicitly list all Makefiles here
+AC_OUTPUT(
+Makefile
+src/Makefile
+src/imfs/Makefile
+wrapup/Makefile
+)
Index: c/src/libfs/src/Makefile.am
===================================================================
--- c/src/libfs/src/Makefile.am	(revision d71c6c1f0e219510250e7253e9073cfe421a34c2)
+++ c/src/libfs/src/Makefile.am	(revision d71c6c1f0e219510250e7253e9073cfe421a34c2)
@@ -0,0 +1,10 @@
+##
+## $Id$
+##
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+SUBDIRS = imfs
+
+include $(top_srcdir)/../../../automake/subdirs.am
+include $(top_srcdir)/../../../automake/local.am
Index: c/src/libfs/src/imfs/Makefile.am
===================================================================
--- c/src/libfs/src/imfs/Makefile.am	(revision d71c6c1f0e219510250e7253e9073cfe421a34c2)
+++ c/src/libfs/src/imfs/Makefile.am	(revision d71c6c1f0e219510250e7253e9073cfe421a34c2)
@@ -0,0 +1,78 @@
+##
+##  $Id$
+##
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+LIBNAME = libimfs
+LIB = ${ARCH}/${LIBNAME}.a
+
+IMFS_C_FILES = imfs_chown.c imfs_creat.c imfs_directory.c imfs_eval.c \
+    imfs_free.c imfs_fsunmount.c imfs_gtkn.c imfs_init.c imfs_initsupp.c \
+    imfs_link.c imfs_mknod.c imfs_mount.c imfs_fchmod.c imfs_unlink.c \
+    imfs_unmount.c imfs_utime.c imfs_ntype.c imfs_stat.c imfs_getchild.c \
+    memfile.c deviceio.c imfs_handlers_device.c imfs_handlers_directory.c \
+    imfs_handlers_link.c imfs_handlers_memfile.c imfs_debug.c imfs_rmnod.c \
+    imfs_symlink.c imfs_readlink.c imfs_fdatasync.c imfs_fcntl.c \
+    miniimfs_init.c
+
+UNIX_C_FILES = imfs_unixstub.c
+
+EMBEDDED_C_FILES = $(IMFS_C_FILES)
+
+COMMON_C_FILES =
+
+if UNIX
+C_FILES = $(COMMON_C_FILES) $(UNIX_C_FILES)
+else
+C_FILES = $(COMMON_C_FILES) $(EMBEDDED_C_FILES)
+endif
+C_O_FILES = $(C_FILES:%.c=${ARCH}/%.o)
+
+H_FILES = imfs.h
+SYS_H_FILES =
+RTEMS_H_FILES = 
+noinst_HEADERS =
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../automake/compile.am
+include $(top_srcdir)/../../../automake/lib.am
+
+PREINSTALL_FILES += $(PROJECT_INCLUDE) $(PROJECT_INCLUDE)/rtems \
+    $(PROJECT_INCLUDE)/sys $(H_FILES:%=$(PROJECT_INCLUDE)/%) \
+    $(RTEMS_H_FILES:%=$(PROJECT_INCLUDE)/rtems/%) \
+    $(SYS_H_FILES:%=$(PROJECT_INCLUDE)/sys/%)
+
+$(PROJECT_INCLUDE):
+	@$(mkinstalldirs) $@
+$(PROJECT_INCLUDE)/rtems:
+	@$(mkinstalldirs) $@
+$(PROJECT_INCLUDE)/sys:
+	@$(mkinstalldirs) $@
+
+$(PROJECT_INCLUDE)/%.h: %.h
+	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/%.h: %.h
+	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/sys/%.h: %.h
+	$(INSTALL_DATA) $< $@
+
+OBJS = $(C_O_FILES)
+
+#
+# Add local stuff here using +=
+#
+
+AM_CFLAGS += $(LIBC_DEFINES) -I $(top_srcdir)/../lib/libc
+
+all-local: ${ARCH} $(LIB)
+
+$(LIB): ${OBJS}
+	$(make-library)
+
+DOC_FILES = TODO CASES
+
+EXTRA_DIST = $(DOC_FILES) $(COMMON_C_FILES) $(EMBEDDED_C_FILES) \
+    $(UNIX_C_FILES) $(H_FILES) $(RTEMS_H_FILES) $(SYS_H_FILES)
+
+include $(top_srcdir)/../../../automake/local.am
Index: c/src/libfs/wrapup/Makefile.am
===================================================================
--- c/src/libfs/wrapup/Makefile.am	(revision d71c6c1f0e219510250e7253e9073cfe421a34c2)
+++ c/src/libfs/wrapup/Makefile.am	(revision d71c6c1f0e219510250e7253e9073cfe421a34c2)
@@ -0,0 +1,41 @@
+##
+## $Id$
+##
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+LIBNAME = libfs
+LIB = $(ARCH)/$(LIBNAME).a
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../automake/compile.am
+include $(top_srcdir)/../../../automake/lib.am
+
+#if HAS_IMFS
+IMFSLIB = ../src/imfs/$(ARCH)/libimfs.a
+#endif
+
+TMP_LIBS = $(IMFSLIB)
+
+$(PROJECT_RELEASE)/lib/$(LIBNAME)$(LIB_VARIANT).a: $(LIB)
+	$(INSTALL_DATA) $< $@
+
+#
+# (OPTIONAL) Add local stuff here using +=
+#
+
+$(LIB): $(TMP_LIBS)
+	$(RM) $@
+	$(RM) -r $(ARCH)
+	mkdir $(ARCH)
+	cd $(ARCH); for lib in $^; do $(AR) -xv ../$$lib; done
+	$(AR) ruv $@ $(ARCH)/*
+	$(RANLIB) $@
+
+TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/$(LIBNAME)$(LIB_VARIANT).a
+
+all-local: $(ARCH) $(LIB) $(TMPINSTALL_FILES)
+
+.PRECIOUS: $(LIB)
+
+include $(top_srcdir)/../../../automake/local.am
Index: cpukit/libfs/ChangeLog
===================================================================
--- cpukit/libfs/ChangeLog	(revision d71c6c1f0e219510250e7253e9073cfe421a34c2)
+++ cpukit/libfs/ChangeLog	(revision d71c6c1f0e219510250e7253e9073cfe421a34c2)
@@ -0,0 +1,21 @@
+2000-10-18	Chris Johns <ccj@acm.org>
+
+	* libfs created.
+	* src, src/imfs, wrapup: New directories.
+	* ChangeLog, Makefile.am, README, configure.in, src/Makefile.am,
+	wrapup/Makefile.am: New files.
+	* src/imfs/deviceio.c, src/imfs/imfs_getchild.c,
+	src/imfs/imfs_readlink.c, src/imfs/imfs.h, src/imfs/imfs_gtkn.c,
+	src/imfs/imfs_rmnod.c, src/imfs/imfs_chown.c,
+	src/imfs/imfs_handlers_device.c, src/imfs/imfs_stat.c,
+	src/imfs/imfs_creat.c, src/imfs/imfs_handlers_directory.c,
+	src/imfs/imfs_symlink.c, src/imfs/imfs_debug.c,
+	src/imfs/imfs_handlers_link.c, src/imfs/imfs_unixstub.c,
+	src/imfs/imfs_directory.c, src/imfs/imfs_handlers_memfile.c,
+	src/imfs/imfs_unlink.c, src/imfs/imfs_eval.c, src/imfs/imfs_init.c,
+	src/imfs/imfs_unmount.c, src/imfs/imfs_fchmod.c,
+	src/imfs/imfs_initsupp.c, src/imfs/imfs_utime.c, src/imfs/imfs_fcntl.c,
+	src/imfs/imfs_link.c, src/imfs/memfile.c, src/imfs/imfs_fdatasync.c,
+	src/imfs/imfs_mknod.c, src/imfs/miniimfs_init.c, src/imfs/imfs_free.c,
+	src/imfs/imfs_mount.c, src/imfs/imfs_fsunmount.c, src/imfs/imfs_ntype.c:
+	New files. Moved from libc.
Index: cpukit/libfs/Makefile.am
===================================================================
--- cpukit/libfs/Makefile.am	(revision d71c6c1f0e219510250e7253e9073cfe421a34c2)
+++ cpukit/libfs/Makefile.am	(revision d71c6c1f0e219510250e7253e9073cfe421a34c2)
@@ -0,0 +1,13 @@
+##
+## $Id$
+##
+
+AUTOMAKE_OPTIONS = foreign 1.4
+ACLOCAL_AMFLAGS = -I $(RTEMS_TOPdir)/aclocal
+
+SUBDIRS = src wrapup
+
+EXTRA_DIST = README
+
+include $(top_srcdir)/../../../automake/subdirs.am
+include $(top_srcdir)/../../../automake/local.am
Index: cpukit/libfs/README
===================================================================
--- cpukit/libfs/README	(revision d71c6c1f0e219510250e7253e9073cfe421a34c2)
+++ cpukit/libfs/README	(revision d71c6c1f0e219510250e7253e9073cfe421a34c2)
@@ -0,0 +1,13 @@
+#
+#  $Id$
+#
+
+This directory contains for the "file system" library. All supported
+file systems live under this tree.
+
+Currently the only supported file systems in this library are the IMFS 
+and miniIMFS.  The TFTP client filesystem is part of the libnetworking
+library.
+
+--Chris Johns and Joel Sherrill
+18 October 2000
Index: cpukit/libfs/src/Makefile.am
===================================================================
--- cpukit/libfs/src/Makefile.am	(revision d71c6c1f0e219510250e7253e9073cfe421a34c2)
+++ cpukit/libfs/src/Makefile.am	(revision d71c6c1f0e219510250e7253e9073cfe421a34c2)
@@ -0,0 +1,10 @@
+##
+## $Id$
+##
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+SUBDIRS = imfs
+
+include $(top_srcdir)/../../../automake/subdirs.am
+include $(top_srcdir)/../../../automake/local.am
Index: cpukit/libfs/src/imfs/Makefile.am
===================================================================
--- cpukit/libfs/src/imfs/Makefile.am	(revision d71c6c1f0e219510250e7253e9073cfe421a34c2)
+++ cpukit/libfs/src/imfs/Makefile.am	(revision d71c6c1f0e219510250e7253e9073cfe421a34c2)
@@ -0,0 +1,78 @@
+##
+##  $Id$
+##
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+LIBNAME = libimfs
+LIB = ${ARCH}/${LIBNAME}.a
+
+IMFS_C_FILES = imfs_chown.c imfs_creat.c imfs_directory.c imfs_eval.c \
+    imfs_free.c imfs_fsunmount.c imfs_gtkn.c imfs_init.c imfs_initsupp.c \
+    imfs_link.c imfs_mknod.c imfs_mount.c imfs_fchmod.c imfs_unlink.c \
+    imfs_unmount.c imfs_utime.c imfs_ntype.c imfs_stat.c imfs_getchild.c \
+    memfile.c deviceio.c imfs_handlers_device.c imfs_handlers_directory.c \
+    imfs_handlers_link.c imfs_handlers_memfile.c imfs_debug.c imfs_rmnod.c \
+    imfs_symlink.c imfs_readlink.c imfs_fdatasync.c imfs_fcntl.c \
+    miniimfs_init.c
+
+UNIX_C_FILES = imfs_unixstub.c
+
+EMBEDDED_C_FILES = $(IMFS_C_FILES)
+
+COMMON_C_FILES =
+
+if UNIX
+C_FILES = $(COMMON_C_FILES) $(UNIX_C_FILES)
+else
+C_FILES = $(COMMON_C_FILES) $(EMBEDDED_C_FILES)
+endif
+C_O_FILES = $(C_FILES:%.c=${ARCH}/%.o)
+
+H_FILES = imfs.h
+SYS_H_FILES =
+RTEMS_H_FILES = 
+noinst_HEADERS =
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../automake/compile.am
+include $(top_srcdir)/../../../automake/lib.am
+
+PREINSTALL_FILES += $(PROJECT_INCLUDE) $(PROJECT_INCLUDE)/rtems \
+    $(PROJECT_INCLUDE)/sys $(H_FILES:%=$(PROJECT_INCLUDE)/%) \
+    $(RTEMS_H_FILES:%=$(PROJECT_INCLUDE)/rtems/%) \
+    $(SYS_H_FILES:%=$(PROJECT_INCLUDE)/sys/%)
+
+$(PROJECT_INCLUDE):
+	@$(mkinstalldirs) $@
+$(PROJECT_INCLUDE)/rtems:
+	@$(mkinstalldirs) $@
+$(PROJECT_INCLUDE)/sys:
+	@$(mkinstalldirs) $@
+
+$(PROJECT_INCLUDE)/%.h: %.h
+	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rtems/%.h: %.h
+	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/sys/%.h: %.h
+	$(INSTALL_DATA) $< $@
+
+OBJS = $(C_O_FILES)
+
+#
+# Add local stuff here using +=
+#
+
+AM_CFLAGS += $(LIBC_DEFINES) -I $(top_srcdir)/../lib/libc
+
+all-local: ${ARCH} $(LIB)
+
+$(LIB): ${OBJS}
+	$(make-library)
+
+DOC_FILES = TODO CASES
+
+EXTRA_DIST = $(DOC_FILES) $(COMMON_C_FILES) $(EMBEDDED_C_FILES) \
+    $(UNIX_C_FILES) $(H_FILES) $(RTEMS_H_FILES) $(SYS_H_FILES)
+
+include $(top_srcdir)/../../../automake/local.am
Index: cpukit/libfs/wrapup/Makefile.am
===================================================================
--- cpukit/libfs/wrapup/Makefile.am	(revision d71c6c1f0e219510250e7253e9073cfe421a34c2)
+++ cpukit/libfs/wrapup/Makefile.am	(revision d71c6c1f0e219510250e7253e9073cfe421a34c2)
@@ -0,0 +1,41 @@
+##
+## $Id$
+##
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+LIBNAME = libfs
+LIB = $(ARCH)/$(LIBNAME).a
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../automake/compile.am
+include $(top_srcdir)/../../../automake/lib.am
+
+#if HAS_IMFS
+IMFSLIB = ../src/imfs/$(ARCH)/libimfs.a
+#endif
+
+TMP_LIBS = $(IMFSLIB)
+
+$(PROJECT_RELEASE)/lib/$(LIBNAME)$(LIB_VARIANT).a: $(LIB)
+	$(INSTALL_DATA) $< $@
+
+#
+# (OPTIONAL) Add local stuff here using +=
+#
+
+$(LIB): $(TMP_LIBS)
+	$(RM) $@
+	$(RM) -r $(ARCH)
+	mkdir $(ARCH)
+	cd $(ARCH); for lib in $^; do $(AR) -xv ../$$lib; done
+	$(AR) ruv $@ $(ARCH)/*
+	$(RANLIB) $@
+
+TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/$(LIBNAME)$(LIB_VARIANT).a
+
+all-local: $(ARCH) $(LIB) $(TMPINSTALL_FILES)
+
+.PRECIOUS: $(LIB)
+
+include $(top_srcdir)/../../../automake/local.am
